Skip to main content
GET
/
posts
List scheduled posts
curl --request GET \
  --url https://api.social-api.ai/v1/posts \
  --header 'Authorization: <api-key>'
{
  "cursor": "<string>",
  "data": [
    {
      "account_ids": [
        "<string>"
      ],
      "created_at": "2026-03-14T09:00:00Z",
      "error_message": "<string>",
      "id": "<string>",
      "media_ids": [
        "<string>"
      ],
      "platform_options": {},
      "results": [
        {
          "account_id": "acc_01HZ9X3Q4R5M6N7P8V2K0W1J",
          "permalink": "https://www.instagram.com/p/ABC123/",
          "platform_post_id": "17899506382105207"
        }
      ],
      "retry_count": 123,
      "scheduled_at": "2026-04-01T10:00:00Z",
      "status": "scheduled",
      "text": "<string>",
      "updated_at": "2026-03-14T09:00:00Z",
      "user_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Query Parameters

from
string
required

Start of date range (ISO 8601)

to
string
required

End of date range (ISO 8601)

status
string

Filter by status

limit
integer

Max results (default 100, max 500)

cursor
string

Pagination cursor

Response

OK

cursor
string
data
object[]